Package org.apache.sling.scripting.sightly.impl.plugin

## Class AttributePlugin

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.plugin.AbstractPlugin
  - - org.apache.sling.scripting.sightly.impl.plugin.AttributePlugin

All Implemented Interfaces:
  `Comparable<Plugin>`, `Plugin`

    public class AttributePlugin
    extends AbstractPlugin

Implementation for the attribute plugin.

### Field Summary

### Fields inherited from class org.apache.sling.scripting.sightly.impl.plugin.AbstractPlugin

`name, priority`

### Constructor Summary

Constructors
`AttributePlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PluginInvoke` `invoke​(Expression expression, PluginCallInfo callInfo, CompilerContext compilerContext)` Given the plugin invocation provide an invoke object which will influence the rendering command stream

### Methods inherited from class org.apache.sling.scripting.sightly.impl.plugin.AbstractPlugin

`compareTo, decodeVariableName, name, priority`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AttributePlugin

    public AttributePlugin()

### Method Detail

#### invoke

    public PluginInvoke invoke​(Expression expression,
                               PluginCallInfo callInfo,
                               CompilerContext compilerContext)

Description copied from interface: `Plugin`
Given the plugin invocation provide an invoke object which will influence the rendering command stream

Parameters:
  `expression` - the expression used at plugin invocation
  `callInfo` - the parameters given to the plugin
  `compilerContext` - a compiler context providing utility methods to plugins
Returns:
  an invocation
See Also:
  `PluginInvoke`